<Definitions>
  <Category>
    <ID>CF-WINDOWS</ID>
    <Type>file</Type>
    <Name>Windows</Name>

    <Definition>
      <ID>CF-WINDOWS-LOG-FILES</ID>
      <Name>Log files</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%</Path>
              <Path>%WINDIR%\Inf</Path>
              <Path>%WINDIR%\Logs</Path>
              <Path>%WINDIR%\Logs\DISM</Path>
              <Path>%WINDIR%\Logs\DPX</Path>
              <Path>%WINDIR%\wbem\Logs</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.log</TestValue>
              </Filter>
              <Filter>
                <Test>Greater</Test>                
                <TestInfo>FileSize</TestInfo>
                <TestValue>1024</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target> 
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\Debug</Path>
              <Path>%WINDIR%\Microsoft.NET\Framework</Path>
              <Path>%WINDIR%\Microsoft.NET\Framework64</Path>
              <Path>%WINDIR%\Panther</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.log</TestValue>
              </Filter>
              <Filter>
                <Test>Greater</Test>                
                <TestInfo>FileSize</TestInfo>
                <TestValue>1024</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target> 
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\Logs\CBS</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>CbsPersist_*.cab</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>             
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\ModemLogs</Path>
              <Path>%WINDIR%\Tasks</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.txt</TestValue>
              </Filter>
              <Filter>
                <Test>Greater</Test>                
                <TestInfo>FileSize</TestInfo>
                <TestValue>1024</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>
    </Definition>
    
    <Definition>
      <ID>CF-WINDOWS-MEMORY-DUMP-FILES</ID>
      <Name>Memory dumps</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\Minidump</Path>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\CrashDumps</Path>
              <Path>%WINDIR%\LiveKernelReports\WATCHDOG</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.dmp</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
      <Target>
        <Scan>
          <Include>
            <Paths><Path>%WINDIR%</Path></Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>Equal</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>memory.dmp</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>
    
    <Definition>
      <ID>CF-WINDOWS-LEFT-OUT-EMPTY-FOLDERS</ID>
      <Name>Left out empty folders</Name>
      <Target>
        <Scan>
          <Include>
            <Paths><Path>{*ANY_USER_LOCAL_DATA_PATH*}</Path></Paths>
          </Include>
          <MaxLevel>1</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>Folder</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>IsEmpty</Test>                
                <TestInfo>FolderPath</TestInfo>
              </Filter>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FolderName</TestInfo>
                <TestValue>{*}</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>

    <Definition>
      <ID>CF-WINDOWS-ERROR-REPORTING</ID>
      <Name>Error reporting</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%PROGRAMDATA%\Microsoft\Windows\WER\ReportArchive</Path>
              <Path>%PROGRAMDATA%\Microsoft\Windows\WER\ReportQueue</Path>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\WER\ReportArchive</Path>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\WER\ReportQueue</Path>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\ElevatedDiagnostics</Path>
            </Paths>
          </Include>
        </Scan>
      </Target>  
    </Definition>

    
    <Definition>
      <ID>CF-WINDOWS-TEMP-FOLDERS</ID>
      <Name>Temporary folders</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Temp</Path>
              <Path os="xp">{*ANY_USER_PROFILE_PATH*}\Local Settings\Temp</Path>
              <Path>%WINDIR%\assembly\Tmp</Path>
              <Path>%WINDIR%\Temp</Path>
            </Paths>
          </Include>
          <Exclude>
            <Paths>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Temp\Maxthon3Cache</Path>
              <Path os="xp">{*ANY_USER_PROFILE_PATH*}\Local Settings\Temp\Maxthon3Cache</Path>
            </Paths>
          </Exclude>
        </Scan>
      </Target>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Config.Msi</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <MinFolderLevel>0</MinFolderLevel>
          <Items><Item>Folder</Item></Items>
        </Filters>
      </Target>      
    </Definition>
    <Definition>
      <ID>CF-WINDOWS-ETL-FILES</ID>
      <Name>Event trace log files</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\Explorer</Path>
              <Path>%WINDIR%\Prefetch\ReadyBoot</Path>
              <Path>%PROGRAMDATA%\USOShared\Logs</Path>
              <Path>%WINDIR%\System32\SleepStudy</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.etl</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target> 
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\System32\wdi</Path>
            </Paths>
          </Include>
        </Scan>
      </Target> 
    </Definition>    
    <Definition>
      <ID>CF-WINDOWS-EVL-FILES</ID>
      <Name>Event viewer log files</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>%WINDIR%\System32\winevt\Logs</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>file</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.evtx</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target> 
    </Definition>    
  </Category>

  <Category>
    <ID>CF-SYSTEM</ID>
    <Type>file</Type>
    <Name>System</Name>

    <Definition>
      <ID>CF-SYSTEM-TEMP-FILES</ID>
      <Name>Temporary files</Name>
      <Target>
        <Scan>
          <Include>
            <Paths><Path>{*ANY_FIXED_DRIVE_LETTER*}:\</Path></Paths>
          </Include>
          <Exclude>
            <Paths>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\$Recycle.Bin</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Config.Msi</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Recovery</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Recycle.Bin</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\System Volume Information</Path>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\Temporary Internet Files</Path>
              <Path os="xp" >{*ANY_USER_PROFILE_PATH*}\Local Settings\Temporary Internet Files</Path>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Temp</Path>
              <Path os="xp" >{*ANY_USER_PROFILE_PATH*}\Local Settings\Temp</Path>
              <Path>%WINDIR%\Temp</Path>
              <Path>%WINDIR%\winsxs</Path>
            </Paths>
          </Exclude>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.tmp</TestValue>
              </Filter>
            </And>
            <And>
              <Filter>
                <Test>DosMask</Test> 
                <TestInfo>FileName</TestInfo>
                <TestValue>*.~*</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>
    
    <Definition>
      <ID>CF-SYSTEM-JUNK-FILES</ID>
      <Name>Junk files</Name>
      <Target>
        <Scan>
          <Include>
            <Paths><Path>{*ANY_FIXED_DRIVE_LETTER*}:\</Path></Paths>
          </Include>
          <Exclude>
            <Paths>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\$Recycle.Bin</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Recovery</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Recycle.Bin</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\System Volume Information</Path>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\Temporary Internet Files</Path>
              <Path os="xp">{*ANY_USER_PROFILE_PATH*}\Local Settings\Temporary Internet Files</Path>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Temp</Path>
              <Path os="xp" >{*ANY_USER_PROFILE_PATH*}\Local Settings\Temp</Path>
              <Path>%WINDIR%\Temp</Path>
              <Path>%WINDIR%\winsxs</Path>
            </Paths>
          </Exclude>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>*.old</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>

    <Definition>
      <ID>CF-SYSTEM-THUMBNAILS-CACHE</ID>
      <Name>Thumbnail cache</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
            <Path>{*ANY_USER_LOCAL_DATA_PATH*}</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>Equal</Test> 
                <TestInfo>FileName</TestInfo>
                <TestValue>IconCache.db</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\Explorer</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test> 
                <TestInfo>FileName</TestInfo>
                <TestValue>*cache_*.db</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>
    
    <Definition>
      <ID>CF-SYSTEM-RECYCLE-BIN</ID>
      <Name>Recycle bin for forced cleaning</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\Recycle.Bin\{*ANY_USER_SID*}</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\$Recycle.Bin\{*ANY_USER_SID*}</Path>
              <Path>{*ANY_FIXED_DRIVE_LETTER*}:\RECYCLER\{*ANY_USER_SID*}</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <Exclude>
            <And>
              <Filter>
                <Test>Equal</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>desktop.ini</TestValue>
              </Filter>
            </And>
          </Exclude>
        </Filters>
      </Target>  
    </Definition>
    
  </Category>

  <Category>
    <ID>CF-BROWSER-CACHE</ID>
    <Type>file</Type>
    <Name>Browser</Name>

    <Definition>
      <ID>CF-BROWSER-CACHE-IE</ID>
      <Name>Internet Explorer</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Windows\Temporary Internet Files</Path>
              <Path os="xp">{*ANY_USER_PROFILE_PATH*}\Local Settings\Temporary Internet Files</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <MinFolderLevel>2</MinFolderLevel>
          <Exclude>
            <And>
              <Filter>
                <Test>Equal</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>desktop.ini</TestValue>
              </Filter>
            </And>
          </Exclude>
        </Filters>
      </Target>  
      <Target os="!xp">
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Microsoft\Feeds Cache</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <Exclude>
            <And>
              <Filter>
                <Test>Equal</Test>                
                <TestInfo>FileName</TestInfo>
                <TestValue>desktop.ini</TestValue>
              </Filter>
            </And>
          </Exclude>
        </Filters>
      </Target> 
    </Definition>
    
    <Definition>
      <ID>CF-BROWSER-CACHE-FIREFOX</ID>
      <Name>Firefox</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Mozilla\Firefox\Profiles</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <MinFolderLevel>3</MinFolderLevel>
          <MinFileLevel>2</MinFileLevel>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test>                
                <TestInfo>FolderParentPath</TestInfo>
                <TestValue>*\Cache</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>

    <Definition>
      <ID>CF-BROWSER-CACHE-CHROME</ID>
      <Name>Chrome</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Google\Chrome\User Data\Default\Cache</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
        </Filters>
      </Target>  
    </Definition>

    <Definition>
      <ID>CF-BROWSER-CACHE-OPERA</ID>
      <Name>Opera</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Opera\Opera\cache</Path>
              <Path>{*ANY_USER_LOCAL_DATA_PATH*}\Opera\Opera\opcache</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
        </Filters>
      </Target>  
    </Definition>
    
    <Definition>
      <ID>CF-BROWSER-CACHE-MAXTHON</ID>
      <Name>Maxthon</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path os="!xp">{*ANY_USER_LOCAL_DATA_PATH*}\Temp\Maxthon3Cache</Path>
              <Path os="xp">{*ANY_USER_PROFILE_PATH*}\Local Settings\Temp\Maxthon3Cache</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
        </Filters>
      </Target>  
    </Definition>
    
  </Category>


  <Category>
    <ID>CF-WINDOWS-EXPLORER</ID>
    <Type>file</Type>
    <Name>Windows Explorer</Name>

    <Definition>
      <ID>CF-WINDOWS-EXPLORER-RECENT-FILES</ID>
      <Name>Recent documents</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_RECENT_PATH*}</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test> 
                <TestInfo>FileName</TestInfo>
                <TestValue>*.lnk</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target> 
    </Definition>
    
  </Category>

  <Category>
    <ID>CF-PROGRAMS</ID>
    <Type>file</Type>
    <Name>Programs</Name>

    <Definition>
      <ID>CF-PROGRAMS-ADOBE-FLASH-PLAYER</ID>
      <Name>Adobe Flash Player</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_ROAMING_DATA_PATH*}\Macromedia\Flash Player\#SharedObjects</Path>
            </Paths>
          </Include>
          <MaxLevel>2</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>Folder</Item></Items>
          <MinFolderLevel>2</MinFolderLevel>
        </Filters>
      </Target>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_ROAMING_DATA_PATH*}\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys</Path>
            </Paths>
          </Include>
          <MaxLevel>1</MaxLevel>
        </Scan>
      </Target>      
    </Definition>
    
    <Definition>
      <ID>CF-PROGRAMS-SUN-JAVA-CACHE</ID>
      <Name>Sun Java cache</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_LOCALLOW_DATA_PATH*}\Sun\Java\Deployment\Cache</Path>
            </Paths>
          </Include>
          <MaxLevel>1</MaxLevel>
        </Scan>
      </Target>
    </Definition>

    <Definition>
      <ID>CF-PROGRAMS-MSOFFICE-RECENT</ID>
      <Name>Microsoft Office recent files list</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_ROAMING_DATA_PATH*}\Microsoft\Office\Recent</Path>
            </Paths>
          </Include>
        </Scan>
        <Filters>
          <Items><Item>File</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>DosMask</Test> 
                <TestInfo>FileName</TestInfo>
                <TestValue>*.lnk</TestValue>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>
    </Definition>    
  </Category>
  
  <Category>
    <ID>CR-INVALID-ENTRIES</ID>
    <Type>registry</Type>
    <Name>Invalid entries</Name>

    <Definition>
      <ID>CR-INVALID-ENTRIES-MISSING-SHARED-DLLS</ID>
      <Name>Missing Shared DLLs</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\SharedDLLs</Path>
              <Path platform="win64">HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\SharedDLLs</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items>
            <Item>Value</Item>
          </Items>
          <Exclude>
            <And>
              <Filter>
                <Test>FileExists</Test>
                <TestInfo>ValueName</TestInfo>
              </Filter> 
            </And>
          </Exclude>
        </Filters>
      </Target>
    </Definition>
    
    <Definition>
      <ID>CR-INVALID-ENTRIES-MUI-REFERENCES</ID>
      <Name>MUI references</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_HKEY*}\Software\Classes\Local Settings\Software\Microsoft\Windows\Shell\MuiCache</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items>
            <Item>Value</Item>
          </Items>
          <Exclude>
            <And>
              <Filter>
                <Test>FileExists</Test>
                <TestInfo>ValueName</TestInfo>
              </Filter> 
            </And>
            <And>
              <Filter>
                <Test>Equal</Test>
                <TestInfo>ValueName</TestInfo>
                <TestValue>LangID</TestValue>
              </Filter> 
            </And>
          </Exclude>
        </Filters>
      </Target>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_HKEY*}\Software\Microsoft\Windows\CurrentVersion\Explorer\RecentDocs</Path>
            </Paths>
          </Include>
        </Scan>
      </Target>
    </Definition>    
    <Definition>
      <ID>CR-MUI-REFERENCES</ID>
      <Name>MUI references</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_HKEY*}\Software\Microsoft\Windows\CurrentVersion\Explorer\RecentDocs</Path>
            </Paths>
          </Include>
        </Scan>
      </Target>
    </Definition>
    
    <Definition>
      <ID>CR-INVALID-ENTRIES-FILE-REFERENCES</ID>
      <Name>File references</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_HKEY*}\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers</Path>
              <Path>{*ANY_USER_HKEY*}\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Store</Path>
              <Path>{*ANY_USER_HKEY*}\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Persisted</Path>
              <Path>HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers</Path>
              <Path platform="win64">HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items>
            <Item>Value</Item>
          </Items>
          <Exclude>
            <And>
              <Filter>
                <Test>FileExists</Test>
                <TestInfo>ValueName</TestInfo>
              </Filter> 
            </And>
          </Exclude>
        </Filters>
      </Target>
    </Definition> 
    
    <Definition>
      <ID>CR-INVALID-ENTRIES-MSI-PATHS</ID>
      <Name>MSI paths</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Installer\Folders</Path>
            </Paths>
          </Include>
          <MaxLevel>0</MaxLevel>
        </Scan>
        <Filters>
          <Items>
            <Item>Value</Item>
          </Items>
          <Exclude>
            <And>
              <Filter>
                <Test>FolderExists</Test>
                <TestInfo>ValueName</TestInfo>
              </Filter> 
            </And>
          </Exclude>
        </Filters>
      </Target>
    </Definition>

    <Definition>
      <ID>CR-INVALID-ENTRIES-LEFT-OUT-EMPTY-KEYS</ID>
      <Name>Left out empty keys</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Uninstall</Path>
              <Path platform="win64">HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall</Path>
            </Paths>
          </Include>
          <MaxLevel>1</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>Key</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>IsEmpty</Test>                
                <TestInfo>KeyPath</TestInfo>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>  
    </Definition>
    
    <Definition>
      <ID>CR-INVALID-ENTRIES-NO-INFO-FILE-FORMAT</ID>
      <Name>No info file formats</Name>
      <Target>
        <Scan>
          <Include>
            <Paths>
              <Path>{*ANY_USER_HKEY*}\Software\Classes</Path>
              <Path>HKEY_LOCAL_MACHINE\Software\Classes</Path>
              <Path platform="win64">HKEY_LOCAL_MACHINE\Software\Wow6432Node\Classes</Path>
            </Paths>
          </Include>
          <MaxLevel>1</MaxLevel>
        </Scan>
        <Filters>
          <Items><Item>Key</Item></Items>
          <Include>
            <And>
              <Filter>
                <Test>IsEmpty</Test>                
                <TestInfo>KeyPath</TestInfo>
              </Filter>
            </And>
          </Include>
        </Filters>
      </Target>
    </Definition>
    
  </Category>
  
</Definitions>